GET Reference ID
Introduction
This API enables you to perform various tasks related to income tax returns analytics. Using this API, you can fetch reference IDs for income tax returns and perform other related tasks. To use this API, you need to have a valid patron ID and an access token. In addition, you will also need to provide your ITR portal username and password, along with an optional PAN number. This API supports JSON format for request and response data.
Sample CURL
curl --request POST \
--url https://signzy.tech/api/v2/patrons/..your-patron-id../itranalytics \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"task":"getReferenceId","essentials":{"username":"...Itr Portal Username...","password":"...Itr Portal Password...","panNumber":"...(optional)Pan Numbe..."}}'Parameter | Type | Description |
|---|---|---|
url | string | The URL to which the POST request will be made. |
request | string | The type of request, in this case, a POST request. |
Accept | string | The response format that the client can handle. |
Accept-Language | string | The preferred language of the response. |
Authorization | string | The access token required for authentication. |
content-type | string | The format of the data sent in the request body. |
task | string | The task to be performed by the API. In this case, "getReferenceId." |
essentials | object | An object containing the credentials required to access the ITR portal. |
username | string | The username for the ITR portal. |
password | string | The password for the ITR portal. |
panNumber | string | An optional parameter, the PAN number associated with the ITR portal account. |
Sample API Response
{
"result": {
"referenceId": " Reference ID",
"statusMessage": "Status Message"
}
}Parameter | Description |
|---|---|
result.referenceId | The reference ID associated with the income tax return. |
result.statusMessage | A status message associated with the API response. |